#pragma once

#define PI 3.14159265358979323846

double
sqrt(double d)
{
  return any_double();
}

double
cos(double d)
{
  double res = any_double();
  verasco_assume(-1. <= res);
  verasco_assume(res <= 1.);
  return res;
}

double
sin(double d)
{
  return cos(PI/2. - d);
}

double
fmod(double x, double y)
{
  return any_double();
  // return x - ((int)(x/y)) * y;
}

double
fabs(double d)
{
  if (d <= 0.) return - d;
  return d;
}

double
atan2(double x, double y)
{
  return any_double();
}

double
asin(double d)
{
  //verasco_assert(-1. <= d && d <= 1.);
  double res = any_double();
  verasco_assume(-PI/2. <= res);
  verasco_assume(res <= PI/2.);
  return res;
}

double
pow(double x, double y)
{
  return any_double();
}
