#include"verasco.h"

void test1() {
  int a = any_int();
  int b = any_int();
  verasco_assume(-1000 < a && a < 1000);
  verasco_assume(-1000 < b && b < 1000);
  verasco_assume(a >= b);
  verasco_assert(a > b-1);
  verasco_assert(a-b >= 0);
}

void test2() {
  double a = any_double();
  double b = any_double();
  verasco_assume(-1000 < a && a < 1000);
  verasco_assume(-1000 < b && b < 1000);
  verasco_assume(a >= b);
  verasco_assert(a >= b);
  verasco_assert(a - b >= -1e-10);
}

void test3() {
  int a = any_int();
  double b = any_double();
  verasco_assume(-1000 < a && a < 1000);
  verasco_assume(-1000 < b && b < 1000);
  verasco_assume(a >= b);
  verasco_assert(a >= b);
  verasco_assert(a-b >= -1e-10);
}

int main() {
  switch (any_int()) {
    case 1: test1(); break;
    case 2: test2(); break;
    case 3: test3(); break;
  }

  return 0;
}
