#include"verasco.h"

void test1() {
  int a = any_int(), b = any_int(), c = any_int(), d = any_int();
  verasco_assume(-1000 <= a && a <= 1000);
  verasco_assume(-1000 <= b && b <= 1000);
  verasco_assume(-1000 <= c && c <= 1000);
  verasco_assume(-1000 <= d && d <= 1000);

  verasco_assume(a-b <= 1);
  verasco_assume(c-d <= -1);
  verasco_assume(b-c <= 0);
  verasco_assert(a <= d);
}

void test2() {
  int a = any_int(), b = any_int(), c = any_int();
  verasco_assume(-1000 <= a && a <= 1000);
  verasco_assume(-1000 <= b && b <= 1000);
  verasco_assume(-1000 <= c && c <= 1000);

  verasco_assume(a+b <= 1);
  verasco_assume(-b-c <= -1);
  verasco_assert(a <= c);
}

void test3() {
  int a = any_int(), b = any_int(), c = any_int();
  verasco_assume(-1000 <= a && a <= 1000);
  verasco_assume(-1000 <= b && b <= 1000);
  verasco_assume(-1000 <= c && c <= 1000);

  verasco_assume(-a+b <= 1);
  verasco_assume(-b-c <= -1);
  verasco_assert(-a <= c);
}

void test4() {
  int a = any_int(), b = any_int(), c = any_int();
  verasco_assume(-1000 <= a && a <= 1000);
  verasco_assume(-1000 <= b && b <= 1000);
  verasco_assume(-1000 <= c && c <= 1000);

  verasco_assume(-a+b <= 1);
  verasco_assume(-b+c <= -1);
  verasco_assert(c <= a);
}

void test5() {
  int a = any_int(), b = any_int();
  verasco_assume(-1000 <= a && a <= 1000);
  verasco_assume(-1000 <= b && b <= 1000);

  if(any_int()) {
    verasco_assume(a <= 0);
    verasco_assume(b <= 0);
  } else {
    verasco_assume(a <= -1);
    verasco_assume(b <= 1);
  }
  verasco_assert(a+b <= 0);
}

void test6() {
  int a = any_int(), b = any_int();
  verasco_assume(-1000 <= a && a <= 1000);
  verasco_assume(-1000 <= b && b <= 1000);

  verasco_assume(a-b <= 12);
  a++;
  verasco_assert(a-b <= 13);
}

void test7() {
  int a = any_int(), b = any_int();
  verasco_assume(-1000 <= a && a <= 1000);
  verasco_assume(-1000 <= b && b <= 1000);

  verasco_assume(a-b <= 12);
  int c = a + 1;
  verasco_assert(c-b <= 13);
}

int main() {
  switch (any_int()) {
    case 1: test1(); break;
    case 2: test2(); break;
    case 3: test3(); break;
    case 4: test4(); break;
    case 5: test5(); break;
    case 6: test6(); break;
    case 7: test7(); break;
  }
  return 0;
}
